#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n,k;
    scanf("%lli %lli",&n,&k);
    long long int a[n],br[n*2+1],i,x;
    for (i=0;i<n*2+1;i++)
    {
        br[i]=0;
    }
    for (i=0;i<n;i++)
    {
        scanf("%lli",&a[i]);
        x=a[i];
        br[n+x]++;
    }
    printf("\n%lli\n",k);
    for (i=0;i<n*2+1;i++)
    {
        if(br[i]>=k)
        printf("%lli ",i-n);
    }
}